## e2wm 1.3

=== Makefile ===
EMACS ?= emacs
CARTON ?= carton
ECUKES ?= $(shell find elpa/ecukes-*/ecukes | tail -1)

test: unit-tests ecukes-features

unit-tests: elpa
	${CARTON} exec ${EMACS} -Q -batch -L . -l test-e2wm-pst-class.el \
		-f ert-run-tests-batch-and-exit

ecukes-features: elpa
	${CARTON} exec ${ECUKES} features

elpa:
	mkdir -p elpa
	${CARTON} install 2> elpa/install.log

clean-elpa:
	rm -rf elpa

clean-elc:
	rm -f *.elc

clean: clean-elpa clean-elc

print-deps:
	${EMACS} --version
	@echo CARTON=${CARTON}
	@echo ECUKES=${ECUKES}

travis-ci: print-deps test

## e2wm 1.2

=== debian/changelog ===
e2wm (1.2-2) unstable; urgency=low

  * get rid of xemacs. (Closes: #648886)
  * fix Vcs-* link.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 18 Nov 2011 10:56:23 +0900

e2wm (1.2-1) unstable; urgency=low

  * Initial release (Closes: #645279)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 26 Oct 2011 19:43:38 +0900

=== debian/control ===
Source: e2wm
Section: lisp
Priority: extra
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), emacs-window-layout, emacs23 | emacs22
Standards-Version: 3.9.2
Homepage: https://github.com/kiwanami/emacs-window-manager
Vcs-Git: git://anonscm.debian.org/collab-maint/e2wm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/e2wm.git;a=summary

Package: e2wm
Architecture: all
Depends: ${misc:Depends}, emacs-window-layout, emacs23 | emacs22
Recommends: imagemagick, wget
Suggests: magit
Description: simple window manager for emacs
 This is an implementation of introducing window management to Emacs.
  * Management of list of editable buffers
  * Assignment of windows for pop-up buffers
  * Switching window layout like the perspective in eclipse
  * Plug-in extension
 .
 The current implementation has following perspectives:
  * code : main coding layout
  * two : side by side layout
  * doc : reading documentation layout
  * dashboard : showing plug-ins like dashboard in Mac OSX
  * array : selecting buffers like expose in Mac OSX

## e2wm 1.2+git20120601

=== debian/changelog ===
e2wm (1.2+git20120601-1) unstable; urgency=low

  * Sync with upstream repository/20120423)
  * fix startup script. (Closes: #663400)
  * Bump Standards-Version to 3.9.3, no changes required.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 25 May 2012 13:32:36 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0), emacs-window-layout, emacs23 | emacs22
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/kiwanami/emacs-window-manager
 Vcs-Git: git://anonscm.debian.org/collab-maint/e2wm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/e2wm.git;a=summary

## e2wm 1.3

=== debian/changelog ===
e2wm (1.3-1) unstable; urgency=low

  * New upstream release.
  * update copyright-format url.
  * fix emacs dependency to fit wheezy.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 04 Apr 2013 23:16:21 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
-Build-Depends: debhelper (>= 8.0.0), emacs-window-layout, emacs23 | emacs22
+Build-Depends: debhelper (>= 8.0.0), emacs-window-layout (>= 1.2), emacs24 | emacs23
 Standards-Version: 3.9.3
 Homepage: https://github.com/kiwanami/emacs-window-manager
 Vcs-Git: git://anonscm.debian.org/collab-maint/e2wm.git
@@ -11,7 +11,7 @@
 
 Package: e2wm
 Architecture: all
-Depends: ${misc:Depends}, emacs-window-layout, emacs23 | emacs22
+Depends: ${misc:Depends}, emacs-window-layout, emacs24 | emacs23
 Recommends: imagemagick, wget
 Suggests: magit
 Description: simple window manager for emacs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/kiwanami/emacs-window-manager /v(.*).tar.gz

## e2wm 1.3%2Bgit20150609

=== debian/changelog ===
e2wm (1.3+git20150609-1) unstable; urgency=medium

  * Sync with upstream repository/20150609

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 15 Sep 2015 10:28:42 +0900

e2wm (1.3+git20140829-1) unstable; urgency=medium

  * Sync with upstream repository/20140829
  * New Standards-Version: 3.9.6

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 22 Oct 2014 22:33:23 +0900

e2wm (1.3+git20140819-1) unstable; urgency=medium

  * Sync with upstream repository/20140819
  * New Standards-Version: 3.9.5

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 27 Aug 2014 20:26:39 +0900

## e2wm 1.3+git20140819

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
 Build-Depends: debhelper (>= 8.0.0), emacs-window-layout (>= 1.2), emacs24 | emacs23
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://github.com/kiwanami/emacs-window-manager
 Vcs-Git: git://anonscm.debian.org/collab-maint/e2wm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/e2wm.git;a=summary

## e2wm 1.3+git20140829

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
 Build-Depends: debhelper (>= 8.0.0), emacs-window-layout (>= 1.2), emacs24 | emacs23
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/kiwanami/emacs-window-manager
 Vcs-Git: git://anonscm.debian.org/collab-maint/e2wm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/e2wm.git;a=summary

## e2wm 1.3+git20150609

=== debian/changelog ===
e2wm (1.3+git20150609-2) unstable; urgency=medium

  * Support emacs25. (Closes: #852097)
  * New Standards-Version: 3.9.8
  * Update Vcs-* fields.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 23 Jan 2017 15:01:41 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
-Build-Depends: debhelper (>= 8.0.0), emacs-window-layout (>= 1.2), emacs24 | emacs23
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), emacs-window-layout (>= 1.2), emacs25-nox | emacs25 | emacs24 | emacs23
+Standards-Version: 3.9.8
 Homepage: https://github.com/kiwanami/emacs-window-manager
-Vcs-Git: git://anonscm.debian.org/collab-maint/e2wm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/e2wm.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/e2wm.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/e2wm.git
 
 Package: e2wm
 Architecture: all
-Depends: ${misc:Depends}, emacs-window-layout, emacs24 | emacs23
+Depends: ${misc:Depends}, emacs-window-layout, emacs25-nox | emacs25 | emacs24 | emacs23
 Recommends: imagemagick, wget
 Suggests: magit
 Description: simple window manager for emacs

## e2wm 1.4

=== Makefile ===
EMACS ?= emacs
CASK ?= cask
ECUKES ?= $(shell find .cask/*/elpa/ecukes-*/bin/ecukes | tail -1)
ECUKES_OPTS ?= --tags ~@known --no-win

test: unit-tests ecukes-features

unit-tests: elpa
	${CASK} exec ${EMACS} -Q -batch -L . -l test-e2wm-pst-class.el \
		-f ert-run-tests-batch-and-exit

ecukes-features: elpa
	${CASK} exec ${ECUKES} ${ECUKES_OPTS} features

elpa:
	mkdir -p elpa
	${CASK} install 2> elpa/install.log

clean-elpa:
	rm -rf elpa

clean-elc:
	rm -f *.elc

clean: clean-elpa clean-elc

print-deps:
	${EMACS} --version
	@echo CASK=${CASK}
	@echo ECUKES=${ECUKES}

travis-ci: print-deps test

=== debian/changelog ===
e2wm (1.4-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer field to QA Group.
    - Acked by previous maintainer.
      He intends to orphan package, but he does not have his time.
      Thanks to Satoru KURASHIKI <lurdan@gmail.com> for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 04 Oct 2023 20:28:59 +0900

e2wm (1.4-3) unstable; urgency=medium

  [ Dhavan Vaidya ]
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org

  [ KURASHIKI Satoru ]
  * New Standards-Version: 4.5.0

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 23 Nov 2020 16:07:46 +0900

e2wm (1.4-2) unstable; urgency=medium

  * Fix Depends: on emacs (Closes: #926194)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 15 Apr 2019 23:54:41 +0900

e2wm (1.4-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 4.1.1

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 13 Nov 2017 10:47:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: e2wm
 Section: lisp
-Priority: extra
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Uploaders: Yukiharu YABUKI <yyabuki@debian.org>
-Build-Depends: debhelper (>= 9), emacs-window-layout (>= 1.2), emacs25-nox | emacs25 | emacs24 | emacs23
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), emacs-window-layout (>= 1.4), emacs
+Standards-Version: 4.5.0
 Homepage: https://github.com/kiwanami/emacs-window-manager
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/e2wm.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/e2wm.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/e2wm
+Vcs-Git: https://salsa.debian.org/emacsen-team/e2wm.git
 
 Package: e2wm
 Architecture: all
-Depends: ${misc:Depends}, emacs-window-layout, emacs25-nox | emacs25 | emacs24 | emacs23
+Depends: ${misc:Depends}, emacs-window-layout, emacs
 Recommends: imagemagick, wget
 Suggests: magit
 Description: simple window manager for emacs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/kiwanami/emacs-window-manager/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
